SDL Library Documentation
Prev |  | Next

# SDL_JoystickGetAxis

## Name

SDL_JoystickGetAxis -- Get the current state of an axis

## Synopsis

    #include "SDL.h"

``Sint16 SDL_JoystickGetAxis`(SDL_Joystick *joystick, int axis);`

## Description

`SDL_JoystickGetAxis` returns the current state of the given `axis` on the given `joystick`.

On most modern joysticks the X axis is usually represented by `axis` 0 and the Y axis by `axis` 1. The value returned by `SDL_JoystickGetAxis` is a signed integer (-32768 to 32768) representing the current position of the `axis`, it maybe necessary to impose certain tolerances on these values to account for jitter. It is worth noting that some joysticks use axes 2 and 3 for extra buttons.

## Return Value

Returns a 16-bit signed integer representing the current position of the `axis`.

## Examples

    Sint16 x_move, y_move;
    SDL_Joystick *joy1;
    .
    .
    x_move=SDL_JoystickGetAxis(joy1, 0);
    y_move=SDL_JoystickGetAxis(joy1, 1);

## See Also

`SDL_JoystickNumAxes`

Prev | Home | Next
SDL_JoystickUpdate | Up | SDL_JoystickGetHat